package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-10-26
 * @description : 推广服务商
 */
@Getter
@AllArgsConstructor
public enum PromoProviderEnum {

    /**
     * 巨网
     */
    JU_GU(1, "巨网"),

    /**
     * 广联
     */
    GUANG_LIAN(2, "广联"),

    /**
     * 太古
     */
    TAI_GU(3, "太古");

    /**
     * 推广服务商id
     */
    private Integer providerId;

    /**
     * 推广媒体
     */
    private String providerName;

    /**
     * 被类型名称
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getNameByType(Integer type) {
        PromoProviderEnum[] values = PromoProviderEnum.values();
        for (PromoProviderEnum promoProviderEnum : values) {
            if (Objects.equals(promoProviderEnum.getProviderId(), type)) {
                return promoProviderEnum.getProviderName();
            }
        }
        return null;
    }
}
