package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-28
 * @description : 应用添加更新
 */
@Data
public class PayApplicationAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String name;

    /**
     * 类型 1 微信小程序
     */
    @ApiModelProperty(notes = "类型 1 微信小程序")
    private Integer type;

    /**
     * 应用appid
     */
    @ApiModelProperty(notes = "应用appid")
    private String appId;

    /**
     * 应用AppSecret
     */
    @ApiModelProperty(notes = "应用AppSecret")
    private String appSecret;

    /**
     * 应用原始id
     */
    @ApiModelProperty(notes = "应用原始id")
    private String primevalId;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String loginName;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String loginPassword;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String managePerson;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 应用介绍
     */
    @ApiModelProperty(notes = "应用介绍")
    private String appDesc;

    /**
     * 版本
     */
    @ApiModelProperty(notes = "版本")
    private String version;

    /**
     * 应用地址
     */
    @ApiModelProperty(notes = "应用地址")
    private String appUrl;

    /**
     * 应用头像
     */
    @ApiModelProperty(notes = "应用头像")
    private String appLogo;

    /**
     * 小程序码
     */
    @ApiModelProperty(notes = "小程序码")
    private String miniCode;
}
