package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.PromoAccountAssignParam;
import com.zanxiang.mybatis.entity.PromoAccount;
import com.zanxiang.mybatis.entity.PromoAccountLog;

/**
 * @author : lingfeng
 * @time : 2022-11-22
 * @description : 推广账号指派日志
 */
public interface PromoAccountLogService extends IService<PromoAccountLog> {

    /**
     * 创建推广账号日志
     *
     * @param promoAccount : 推广账号
     * @return : 返回创建结果
     */
    Boolean create(PromoAccount promoAccount);

    /**
     * 账号指派更新
     *
     * @param param : 推广账号指派参数
     * @return : 返回更新结果
     */
    Boolean assignUpdate(PromoAccountAssignParam param);
}
