package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.PayMerchant;
import com.zanxiang.sdk.domain.dto.PayMerchantDTO;

import java.util.List;

/**
 * 游戏支付商户配置表
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
public interface PayMerchantService extends IService<PayMerchant> {

    /**
     * 由商户id查询
     *
     * @param merchantNo 商户id
     * @return {@link PayMerchantDTO}
     */
    PayMerchantDTO getByMerchantNo(String merchantNo);

    /**
     * 通过id
     *
     * @param ids id
     * @return {@link List}<{@link PayMerchantDTO}>
     */
    List<PayMerchantDTO> getByIds(List<Long> ids);
}
